/*
 * JPA entity PK template
 */

package de.ivu.elect.business.benutzerverwaltung.entity;

@javax.enterprise.inject.Vetoed
public class BenutzerEinsatzortPK extends de.ivu.elect.jee.entity.EntityLongPK implements Comparable<BenutzerEinsatzortPK> {

  private static final long serialVersionUID = 0L;

  public BenutzerEinsatzortPK() {
    super();
  }

  public BenutzerEinsatzortPK(java.lang.Long id) {
    super(id);
  }

  @Override
  public String toString(){
    return "BenutzerEinsatzortPK:"+getId();
  }

  @Override
  public int compareTo(BenutzerEinsatzortPK o) {
  	if (o == null) {
  		return -1;
  	}
  	if (getId() == null) {
  		if (o.getId() == null) {
  			return 0;
  		}
  		return 1;
  	}
  	if (o.getId() == null) {
  		return -1;
  	}
    return getId().compareTo(o.getId());
  }

}
